Bug 796516 - Failed to hibernate session
Failed to hibernate session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-23 00:12 EST by GeoffLeach
Modified: 2013-02-13 10:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:35:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshw for problem system (26.44 KB, application/octet-stream)
2012-02-23 00:12 EST, GeoffLeach
no flags Details
dmesg output (796 bytes, text/x-log)
2012-02-23 00:14 EST, GeoffLeach
no flags Details
systemctl show swap.target (1.01 KB, text/x-log)
2012-02-23 00:15 EST, GeoffLeach
no flags Details

  None (edit)
Description GeoffLeach 2012-02-23 00:12:36 EST
Created attachment 565182 [details]
lshw for problem system

Description of problem:
This is a fresh install of Fedora 16 on a new laptop with 8GB memory. 
When I attempt to hibernate from the Session Menu I get a popup with 
the message:

Failed to hibernate session
Not enough swap space.


Version-Release number of selected component (if applicable):
3.1.0-7.fc16.i686.PAE

How reproducible:
Always

Steps to Reproduce:
1. fvwm select 'hibernate' from session menu. Popup results
2.
3.
  
Actual results:
Popup, no hibernate. sudo /usr/sbin/pm-hibernate results in no popup, but no hibernate

Expected results:


Additional info:

8GB memory, 720GB disk. Video driver is nouveau. kernel 3.2.6-3.fc16.i686.PAE crashes.

Here's the disk layout:

(parted) print                                                          
 
Model: ATA WDC WD7500BPKT-0 (scsi)
Disk /dev/sda: 750GB
Sector size (logical/physical): 512B/4096B
Partition Table: msdos

Number  Start   End     Size    Type      File system     Flags
 1      1049kB  106MB   105MB   primary   ntfs            boot
 2      106MB   42.8GB  42.7GB  primary   ntfs
 3      42.8GB  43.3GB  524MB   primary   ext4
 4      43.3GB  750GB   707GB   extended
 5      43.3GB  148GB   105GB   logical   ext4
 6      148GB   358GB   210GB   logical   ext4
 7      358GB   463GB   105GB   logical   ext4
 8      463GB   473GB   10.5GB  logical   fat32
 9      473GB   484GB   10.5GB  logical   ext4
10      484GB   493GB   9437MB  logical   linux-swap(v1)
11      493GB   493GB   1049kB  logical   ext2
12      493GB   750GB   257GB   logical   ext4

As you can see, I've allocated 9GB for swap.
Comment 1 GeoffLeach 2012-02-23 00:14:28 EST
Created attachment 565183 [details]
dmesg output
Comment 2 GeoffLeach 2012-02-23 00:15:31 EST
Created attachment 565184 [details]
systemctl show swap.target
Comment 3 GeoffLeach 2012-02-23 00:18:28 EST
geoff@puget[29]->cat /proc/swaps
Filename				Type		Size	Used	Priority
<nothing else>

Full disclosure: I'm running 32-bit Fedora (up to date) on a 64 bit system. Works fine on another box with 2GB memory.

root@puget[10]->swapon -U ad15f364-1e9b-493b-9351-d27e0f680c97
swapon: /dev/sda10: swapon failed: Cannot allocate memory
Comment 4 GeoffLeach 2012-02-26 17:50:37 EST
 sudo /usr/sbin/pm-hibernate results now in kernel looping displaying urb error -32.
Comment 5 Josh Boyer 2012-03-28 14:01:24 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 6 Dave Jones 2012-10-23 11:39:23 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 7 GeoffLeach 2012-11-12 16:16:25 EST
Hibernate (and suspend) continue to fail. Not surprising, perhaps, as pm-is-supported says they are not.
Comment 8 Fedora End Of Life 2013-01-16 09:32:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 10:35:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.